local wezterm = require 'wezterm';

return {
  audible_bell = "Disabled",
  bold_brightens_ansi_colors = true,
  color_scheme = "One Light (base16)",
  enable_tab_bar = false,
  enable_wayland = true,
  font_size = 12,
  font = wezterm.font("CaskaydiaCove Nerd Font"),
  window_background_opacity = 0.97,
  window_close_confirmation = 'NeverPrompt',
  default_prog = { '/run/current-system/sw/bin/bash' },

  keys = {
    {
      key = 'Escape',
      mods = 'CTRL',
      action = wezterm.action.QuickSelect,
    },
  },

  window_padding = {
    left = 0,
    right = 0,
    top = 0,
    bottom = 0,
  },

  quick_select_patterns = {
    '^([^ ]+) +(?:ClusterIP|Bound)',
    '^([^ ]+) +(?:[0-9]+/[0-9]+)',
    '^([^ ]+) +(?:[0-9]+ )',
    '^([^ ]+) +(?:Opaque|kubernetes\\.io|helm\\.sh)',
    '^([^ ]+) +(?:Active)',
    '[^ ]+@[^ ]+.service',
    'git push.*',
  },
}
